[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: RV: [Savannah-hackers] submission of SuperBB

From: Jaime E . Villate
Subject: Re: RV: [Savannah-hackers] submission of SuperBB
Date: Mon, 18 Mar 2002 11:12:47 +0000
User-agent: Mutt/1.2.5i

On Sat, Mar 16, 2002 at 01:30:49PM -0800, Harry Zink wrote:
> >> Could you please use PHP3 rather than PHP4? PHP4 currently
> >> has a license incompatible with the GPL. There is no problem
> >> with PHP3.
> What kind of crap is that? PHP4 is GPL, last I checked - otherwise, how
> would this explain the vast number of PHP4 projects that are all GPL.
> Well, we certainly can't use PHP3 anymore, and I certainly won't support
> that.

First of all, are you speaking on behalf of Pablo Roca or the SuperBB project?
My message you are replying to, was sent to Pablo Roca, not to you.

Second, please notice that my message said "Could you please ...?" it didn't
say "You must ...". We are always willing to change our rules, make exceptions
or work out a suitable solution. But that can only be achieved by a friendly
exchange of e-mail and not by insulting a group of unpaid volunteers who are
trying to help you.

Third, you are wrong when you say PHP4 is under the GPL. You also say that if
PHP4 was not GPL'ed, it could not be used by GPL'ed projects, which is also
wrong; lots of GPL'ed projects are based on non-GPL Free Software; the key
issue here is compatibility with the GPL.

We are just trying to convince PHP developers to go back to the license of
version 3, which in our view was much better than that of version 4.

> I guess that's it for Savannah then...?

If that's the way you feel, there are other places where you can host your

Jaime Villate

reply via email to

[Prev in Thread] Current Thread [Next in Thread]